---
title: March 2026
slug: march-2026
docTags: 
createdAt: 2026-04-21T13:44:28.941Z
---

- **GET /v3/broadcast-messages** - Added visibility filtering and entitlement-based targeting for message creators via dashboard and `viewAll` query parameters.&#x20;
- **GET /v3/members/\{memberIdentifier}/promotions/\{promotionId}** - Added `referenceId` and `transactionId` fields to the `MemberPromotionDetail` schema.
- **GET /v3/redemption-rules** - Retrieve personalized redemption rules for members.&#x20;
- **GET /v3/event-rules** - Added `resultTypeCode` query parameter for filtering event rules by result type.&#x20;
- **PATCH /v3/compensation/\{compensationNightId}/nights** - Edit existing nights on a compensation.&#x20;
- **POST /v3/members/\{memberIdentifier}/verify** - Enhanced name matching to handle flipped given name/surname scenarios by using the `includeReversedName` query parameter.&#x20;
- **POST /v3/members/\{memberIdentifier}/earnings** - Added support for creating partner earnings on member accounts via `transactionMemberPaymentCardAccount`.&#x20;
- **PATCH /v3/event-rules/\{eventRuleId}** - Partially update event rules (name, description, status, and end date fields) when the rule is in `Approved`, `Published`, or `Live` status.&#x20;
- **PUT /v3/event-rules/\{eventRuleId}** - Enhanced to support full editing of event rules in the `Working` or `Ready` status.&#x20;
- **GET /v3/members/\{memberIdentifier}/tier-history** - Added `projectedTier.rolloverNights` when using the query parameter `includeRolloverNights` and `counter.remainingAmount` fields.&#x20;
- **GET /v3/members/\{memberIdentifier}/transaction-groups** - Added `accountNumber` field to `transactionRelationships` when using the `includeRelationships` query parameter. This field identifies the originating member for cloned base-earning transactions (Corporate Accounts).&#x20;
- **GET /v3/members/\{memberIdentifier}** - Added corporate account association data via the `includeLinkedAccounts` query parameter, which returns a collection of `linkedAccounts`.&#x20;
- **Bonus/PromotionRule schemas**: Removed deprecated fields, including `includeSunday` through `includeSaturday`.&#x20;
- **GET /v3/members/\{memberIdentifier}/preferences** - Added `updateUserId` and `updateUserName` fields to track who updated notification preferences.&#x20;
- **GET /v3/members/\{memberIdentifier}/accounts** - Added `accountStatusCodeDescription` field to return the long-form value of the account status.&#x20;
- **GET /v3/members/\{memberIdentifier}/comments** - Added `userEmail` field to `MemberCommentDetail` schema.&#x20;
- **POST /v3/members/\{memberIdentifier}/adjustments/currency** - Added validation for user role adjustment limits through the `validateUser` parameter. If the adjustment exceeds the limit, it checks the `amountConfirmed` for secondary validation.&#x20;
- **POST /v3/members/\{memberIdentifier}/bonuses/evaluate** - Evaluate whether a member is eligible for a given set of bonuses.&#x20;
- **All GET Member Transaction endpoints** (/v3/members/\{memberIdentifier}/transactions...) - Added `partnerName` and `partnerProgramCode` fields to the transactions array for partner accrual transactions.&#x20;
- **POST /v3/members/\{id}/transactions/\{id}/clone/\{targetId}** - Added an optional `memberComment` object to the Clone Transaction endpoint to support audit comments on stay reassignments. When used, Tally will generate a closed call log on the `targetMemberIdentifier` account.&#x20;
- **GET /v3/managed-entities/DataRelease/options** - The endpoint now returns the data release name in the description field instead of the description value.&#x20;
